<meta charset="UTF-8">


<script>

var matriz = [[4,3,2,5,6,2,3,4],
			  [1,1,1,1,1,1,1,1],
			  [0,0,0,0,0,0,0,0],
			  [0,0,0,0,0,0,0,0],
			  [0,0,0,0,0,0,0,0],
			  [0,0,0,0,0,0,0,0],
			  [1,1,1,1,1,1,1,1],
			  [4,3,2,5,6,2,3,4]]
var cont = 0;
var vetor = new Array();
var peca = 0
var nomes = ["Vazio","Peão","Bispo","Cavalo","Torre","Rei","Rainha"]

for (var i = 0; i < nomes.length; i++) {
	document.write(nomes[i] + "=" + i + " ");
}
document.write("<hr>");

while (peca < 7) {
	for (var i = 0; i < 8; i++) {
		for (var j = 0; j < 8; j++) {
			while (matriz[i][j] == peca) {
				cont++;
				break;
			}
			
		}
	}
	vetor.push(cont);
	cont = 0
	peca++;
}

for (var i = 1; i < vetor.length; i++) {
	document.write(nomes[i] + ": " + vetor[i] + " peça(s)<br>");

}


</script>